Vector::BLF::LinDisturbanceEvent(3)

NAME
Vector::BLF::LinDisturbanceEvent - LIN_DISTURBANCE_EVENT.

SYNOPSIS

#include <LinDisturbanceEvent.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t id {}
LIN ID of disturbed response.
uint8_t disturbingFrameId {}
LIN ID of disturbing header.
uint32_t disturbanceType {}
type of disturbance (dominant, recessive, header, bitstream, variable bitstream)
uint32_t byteIndex {}
index of the byte that was disturbed
uint32_t bitIndex {}
index of the bit that was disturbed disturbed. 0 is the first data bit, 8 is the stop bit, 9 is the first bit in interbyte space.
uint32_t bitOffsetInSixteenthBits {}
offset in 1/16th bits into the disturbed bit
uint32_t disturbanceLengthInSixteenthBits {}
length of the disturbance in units of 1/16th bit
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

LIN_DISTURBANCE_EVENT. This event occurs if CANoe/CANalyzer explicitly caused to disturb one bit or a sequence of bits.

Member Function Documentation

  uint32_t Vector::BLF::LinDisturbanceEvent::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinDisturbanceEvent::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinDisturbanceEvent::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::LinDisturbanceEvent::bitIndex {}

index of the bit that was disturbed disturbed. 0 is the first data bit, 8 is the stop bit, 9 is the first bit in interbyte space. The index of the bit that was

  uint32_t Vector::BLF::LinDisturbanceEvent::bitOffsetInSixteenthBits {}

offset in 1/16th bits into the disturbed bit The offset in 1/16th bits into the disturbed bit.

  uint32_t Vector::BLF::LinDisturbanceEvent::byteIndex {}

index of the byte that was disturbed The 0-indexed byte where the disturbance occurred. 0 is the first data byte, 9 is the checksum in case of a dlc 8 frame.

If a header was disturbed (id == 0xFF), 0 is the sync field and 1 is the PID.

  uint16_t Vector::BLF::LinDisturbanceEvent::channel {}

application channel Channel number of the event

  uint32_t Vector::BLF::LinDisturbanceEvent::disturbanceLengthInSixteenthBits {}

length of the disturbance in units of 1/16th bit The length of a dominant or recessive disturbance in units of 1/16th bits.

  uint32_t Vector::BLF::LinDisturbanceEvent::disturbanceType {}

type of disturbance (dominant, recessive, header, bitstream, variable bitstream) The type of disturbance:

•   0: dominant disturbance

•   1: recessive disturbance

•   2: disturbance with a header

•   3: disturbance with a bitstream

•   4: disturbance with a variable bitstream

  uint8_t Vector::BLF::LinDisturbanceEvent::disturbingFrameId {}

LIN ID of disturbing header. Identifier of a disturbing header, if disturbing with a header (disturbanceType == 2), otherwise 0xFF.

  uint8_t Vector::BLF::LinDisturbanceEvent::id {}

LIN ID of disturbed response. Identifier of a disturbed response or 0xFF if a header was disturbed.

Author

Generated automatically by Doxygen for Vector BLF from the source code.